SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Embedded Server/Appliance)  >   IBM BladeCenter Vendors:   IBM
(IBM Issues Fix for IBM BladeCenter Advanced Management Module) Glibc process_envvars() Flaw Lets Local Users Bypass Pointer Guard Protection
SecurityTracker Alert ID:  1036246
SecurityTracker URL:  http://securitytracker.com/id/1036246
CVE Reference:   CVE-2015-8777   (Links to External Site)
Date:  Jul 8 2016
Impact:   Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Glibc. A local user can bypass security restrictions. IBM BladeCenter Advanced Management Module is affected.

A local user can supply a specially crafted LD_POINTER_GUARD environment variable value to bypass pointer guard protection on set user ID (setuid) and set group ID (setgid) programs.

The vulnerability resides in the process_envvars() function in elf/rtld.c'.

Hector Marco-Gisbert reported this vulnerability.

Impact:   A local user can bypass pointer guard protection on setuid and setgid programs.
Solution:   IBM has issued a fix for IBM BladeCenter Advanced Management Module (BPET66U-3.66u).

The IBM advisory is available at:

https://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=migr-5099418

Vendor URL:  www-947.ibm.com/support/entry/portal/docdisplay?lndocid=migr-5099418 (Links to External Site)
Cause:   Input validation error

Message History:   This archive entry is a follow-up to the message listed below.
Jan 26 2016 Glibc process_envvars() Flaw Lets Local Users Bypass Pointer Guard Protection



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC